Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface INamespaceObject

All Known Subinterfaces:
  IApplicationViewDescriptor, IConnectionFactoryDescriptor, INamespace, ISchemaDescriptor

All Known Implementing Classes:
  NamespaceObject

public interface INamespaceObject
extends java.io.Serializable

Represents any object that can exist in a namespace. INamespaceObjects have a QualifiedName, and an optional description. Because this interface extends Serializable, all implementations of INamespaceObject must be Serializable.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare this object to the given object and determine if they are equal.
`java.lang.String` | `getDescription()` Return a description of this namespace object and its intended use.
`java.lang.String` | `getName()` Return this object's name.
`INamespace` | `getParentNamespace()` Get this namespace object's parent namespace.
`QualifiedName` | `getQualifiedName()` Return a QualifiedName representing this namespace object's name and parent namespace.
`void` | `setDescription(java.lang.String description)` Set the description of this namespace object and its intended use.
`void` | `setName(java.lang.String name)` Set this object's name.
`void` | `setParentNamespace(INamespace parent)` Set this namespace object's parent namespace.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Compare this object to the given object and determine if they are equal. For INamespaceObjects, this means that both objects match in name, and parent namespace.

  Returns:
    True if the name and namespace of the obj param equal this INamespaceObject's name and namespace.
  Overrides:
    equals in class java.lang.Object

### getQualifiedName

    public QualifiedName getQualifiedName()

  Return a QualifiedName representing this namespace object's name and parent namespace.

  Returns:
    A QualifiedName representing the namespace object's name and parent namespace. This should never be null.

### getName

    public java.lang.String getName()

  Return this object's name. For a fully qualified name for this object, use getQualifiedName().

  Returns:
    This object's name. This should never be null.

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Set this object's name. This method does not change the namespace to which the object belongs, just its name.

  Parameters:
    `name` - The new name for this object. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the name param is null.

### getDescription

    public java.lang.String getDescription()

  Return a description of this namespace object and its intended use.

  Returns:
    A description of this namespace object and its intended use, or null if no description has been set.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of this namespace object and its intended use.

  Parameters:
    `description` - A description of this namespace object and its intended use, or null if no description is known.

### getParentNamespace

    public INamespace getParentNamespace()

  Get this namespace object's parent namespace.

  Returns:
    This namespace object's parent namespace. This can only be null when the namespace is the root namespace, or the object does not yet exist in a namespace.

### setParentNamespace

    public void setParentNamespace(INamespace parent)

  Set this namespace object's parent namespace.

  Parameters:
    `parent` - This namespace object's parent namespace. Setting this parameter to null should be avoided, and indicates that the namespace object has no parent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)